import request from '@/utils/request'

// 查询LineSymbol列表
export function listLineSymbol(query) {
  return request({
    url: '/api/v1/line-symbol',
    method: 'get',
    params: query
  })
}

// 查询LineSymbol详细
export function getLineSymbol(id) {
  return request({
    url: '/api/v1/line-symbol/' + id,
    method: 'get'
  })
}

// 新增LineSymbol
export function addLineSymbol(data) {
  return request({
    url: '/api/v1/line-symbol',
    method: 'post',
    data: data
  })
}

// 修改LineSymbol
export function updateLineSymbol(data) {
  return request({
    url: '/api/v1/line-symbol/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除LineSymbol
export function delLineSymbol(data) {
  return request({
    url: '/api/v1/line-symbol',
    method: 'delete',
    data: data
  })
}
// 获取现货 交易对数据
export function getSameSymbol(params) {
  return request({
    url: '/api/v1/line-symbol/getSameSymbol',
    method: 'get',
    params
  })
}

